# IntlCalendar::after

(PHP 5 >= 5.5.0, PHP 7, PECL >= 3.0.0a1)

IntlCalendar::after — Whether this objectʼs time is after that of the passed object

### Description

Object oriented style

public IntlCalendar::after ( IntlCalendar `$other` ) : bool

Procedural style

intlcal_after ( IntlCalendar `$cal` , IntlCalendar `$other` ) : bool

Returns whether this objectʼs time succeeds the argumentʼs time.

### Parameters

`cal`

  The IntlCalendar resource.

`other`

  The calendar whose time will be checked against the primary objectʼs time.

### Return Values

Returns `TRUE` if this objectʼs current time is after that of the `calendar` argumentʼs time. Returns `FALSE` otherwise. Also returns `FALSE` on failure. You can use exceptions or intl_get_error_code() to detect error conditions.

### Examples

Example #1 IntlCalendar::after()

`<?php
$cal1 = IntlCalendar::createInstance();
$cal2 = clone $cal1;
var_dump($cal1->after($cal2), //false
$cal2->after($cal1)); //false
$cal1->roll(IntlCalendar::FIELD_MILLISECOND, true);
var_dump($cal1->after($cal2), //true
$cal2->after($cal1)); //false`